%define	major		0
%define	libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		tap
Version:	1.14.0
Release:	%mkrel 3
Summary:	Write tests that implement the Test Anything Protocol
License:	GPL
Group:		System/Libraries
URL:		https://www.shlomifish.org/open-source/projects/libtap/
Source:		https://web-cpan.shlomifish.org/downloads/libtap-%{version}.tar.xz
BuildRequires:	cmake

%description
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{libname}
Summary:	Write tests that implement the Test Anything Protocol
Group:		System/Libraries

%description -n	%{libname}
The tap library provides functions for writing test scripts that produce output
consistent with the Test Anything Protocol.  A test harness that parses this
protocol can run these tests and produce useful reports indicating their
success or failure.

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains development files for %{name}.

%prep
%setup -q -n libtap-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc COPYING NEWS README
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*


%changelog
* Thu Aug 20 2020 joequant <joequant> 1.14.0-3.mga8
+ Revision: 1616780
- fix build

* Sat Feb 15 2020 daviddavid <daviddavid> 1.14.0-2.mga8
+ Revision: 1525897
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Mar 23 2019 shlomif <shlomif> 1.14.0-1.mga7
+ Revision: 1379792
- New version 1.14.0

* Sun Sep 23 2018 umeabot <umeabot> 1.03-9.mga7
+ Revision: 1301320
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 1.03-8.mga7
+ Revision: 1242792
- fix build on aarch64

* Tue Feb 02 2016 umeabot <umeabot> 1.03-7.mga6
+ Revision: 932440
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03-6.mga5
+ Revision: 742011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-5.mga5
+ Revision: 689691
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 wally <wally> 1.03-4.mga5
+ Revision: 662358
- disable static build and drop .la files
- don't pkg INSTALL file

* Fri Oct 18 2013 umeabot <umeabot> 1.03-3.mga4
+ Revision: 519519
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.03-2.mga3
+ Revision: 384038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 19 2011 shlomif <shlomif> 1.03-1.mga2
+ Revision: 184545
- imported package tap

